## icingaweb2-module-pdfexport 0.11.0+dfsg

=== vendor/textalk/websocket/Makefile ===
install: composer.phar
	./composer.phar install

update: composer.phar
	./composer.phar self-update
	./composer.phar update

test: composer.lock
	./vendor/bin/phpunit

cs-check: composer.lock
	./vendor/bin/phpcs --standard=codestandard.xml lib tests examples

coverage: composer.lock build
	XDEBUG_MODE=coverage ./vendor/bin/phpunit --coverage-clover build/logs/clover.xml
	./vendor/bin/php-coveralls -v

composer.phar:
	curl -s http://getcomposer.org/installer | php

composer.lock: composer.phar
	./composer.phar --no-interaction install

vendor/bin/phpunit: install

build:
	mkdir build

clean:
	rm composer.phar
	rm -r vendor
	rm -r build

## icingaweb2-module-pdfexport 0.9.0

=== debian/changelog ===
icingaweb2-module-pdfexport (0.9.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:45:54 +0200

icingaweb2-module-pdfexport (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #921104)

 -- David Kunz <david.kunz@dknet.ch>  Tue, 05 Jan 2021 13:07:10 +0200

=== debian/control ===
Source: icingaweb2-module-pdfexport
Section: admin
Priority: optional
Maintainer: David Kunz <david.kunz@dknet.ch>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Homepage: https://github.com/Icinga/icingaweb2-module-pdfexport
Vcs-Browser: https://salsa.debian.org/david-guest/icingaweb2-module-pdfexport
Vcs-Git: https://salsa.debian.org/david-guest/icingaweb2-module-pdfexport.git

Package: icingaweb2-module-pdfexport
Section: admin
Architecture: all
Depends:
 icingaweb2,
 ${misc:Depends},
Enhances:
 icingaweb2,
Description: Future place for the PDF export functionality for Icinga Web 2
 Icinga Web 2 is a very modular, fast and simple web interface for your Icinga
 monitoring environment.
 .
 Integrate PDF export functionality for Icinga Web 2.

=== debian/rules ===
#!/usr/bin/make -f

MODULE := pdfexport
DEBDIR := debian/icingaweb2-module-$(MODULE)

%:
	dh ${@}

override_dh_auto_install:
	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)
	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;

	# remove useless file
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;

	# enable module
	mkdir -p $(DEBDIR)/etc/icingaweb2/enabledModules
	ln -s /usr/share/icingaweb2/modules/$(MODULE) $(DEBDIR)/etc/icingaweb2/enabledModules/$(MODULE)

## icingaweb2-module-pdfexport 0.9.1

=== debian/changelog ===
icingaweb2-module-pdfexport (0.9.1-2) unstable; urgency=medium

  * Updating vcs in control.
  * Updating Standards-Version to 4.6.0.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 04 Jan 2022 07:08:58 +0100

icingaweb2-module-pdfexport (0.9.1-1) unstable; urgency=medium

  * Adding watch file.
  * Merging upstream version 0.9.1.
  * Changing copyright for David Kunz.
  * Removing .pc files from binary package.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 10 Aug 2021 16:09:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/Icinga/icingaweb2-module-pdfexport
-Vcs-Browser: https://salsa.debian.org/david-guest/icingaweb2-module-pdfexport
-Vcs-Git: https://salsa.debian.org/david-guest/icingaweb2-module-pdfexport.git
+Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport
+Vcs-Git: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport.git
 
 Package: icingaweb2-module-pdfexport
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_install:
 	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)
-	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;
+	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -and -not -name ".pc" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;
 
 	# remove useless file
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/icingaweb2-module-pdfexport-$1\.tar\.gz/ \
  https://github.com/icinga/icingaweb2-module-pdfexport/tags .*/v?(\d\S+)\.tar\.gz

## icingaweb2-module-pdfexport 0.10.2%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Icinga/icingaweb2-module-pdfexport
 Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport
 Vcs-Git: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport.git
@@ -14,6 +14,11 @@
 Architecture: all
 Depends:
  icingaweb2,
+ icinga-php-thirdparty,
+ icinga-php-library,
+ php-cgi,
+ php-tcpdf,
+ chromium,
  ${misc:Depends},
 Enhances:
  icingaweb2,

## icingaweb2-module-pdfexport 0.10.2+dfsg1

=== debian/changelog ===
icingaweb2-module-pdfexport (0.10.2+dfsg1-2) unstable; urgency=medium

  * Releasing debian version 0.10.2+dfsg1-1.
  * Move chromium to recommends.
    Thank to Shengjing Zhu (Closes: #1031388).

 -- David Kunz <david.kunz@dknet.ch>  Mon, 20 Feb 2023 11:02:13 +0100

icingaweb2-module-pdfexport (0.10.2+dfsg1-1) unstable; urgency=medium

  * Merging upstream version 0.10.2+dfsg1.
  * Updating Standards-Version to 4.6.1.
  * Updating depends in control.
  * Updating rules.
  * Updating watch file.
  * Updating copyright.
  * Adding config file.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 19 Jul 2022 08:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  icinga-php-library,
  php-cgi,
  php-tcpdf,
+ ${misc:Depends},
+Recommends:
  chromium,
- ${misc:Depends},
 Enhances:
  icingaweb2,
 Description: Future place for the PDF export functionality for Icinga Web 2

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,16 @@
 	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -and -not -name ".pc" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;
 
 	# remove useless file
-	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;
+	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE* -exec rm -f {} +;
+	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name \.gitignore -exec rm -f {} \;
+
+	# move config file
+	mkdir -p $(DEBDIR)/etc/icingaweb2/modules/$(MODULE)
+	cp debian/local/config.ini $(DEBDIR)/etc/icingaweb2/modules/$(MODULE)
+
+	# symlink tcpdf to debian package
+	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/vendor/tecnickcom
+	ln -s /usr/share/php/tcpdf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/vendor/tecnickcom/tcpdf
 
 	# enable module
 	mkdir -p $(DEBDIR)/etc/icingaweb2/enabledModules

## icingaweb2-module-pdfexport 0.11.0+dfsg

=== debian/changelog ===
icingaweb2-module-pdfexport (0.11.0+dfsg-3) unstable; urgency=medium

  * Adding Portuguese debconf translations from Américo Monteiro
    (Closes: #1099371).
  * d/copyright: Correcting text.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 02 Apr 2025 10:35:24 +0200

icingaweb2-module-pdfexport (0.11.0+dfsg-2) unstable; urgency=medium

  * Adding Brazilian Portuguese debconf translations from Paulo Henrique
    de Lima Santana (Closes: #1094262).
  * Updating copyright for d/.
  * Updating Standards-Version to 4.7.0.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 29 Jan 2025 09:43:41 +0100

icingaweb2-module-pdfexport (0.11.0+dfsg-1) unstable; urgency=medium

  * Merging upstream version 0.11.0+dfsg.
  * Updating d/copyright for new version.
  * Restructure entries in alphabetical order in d/control.
  * Correcting typo in d/copyright.

 -- David Kunz <david.kunz@dknet.ch>  Fri, 12 Jul 2024 09:52:56 +0200

icingaweb2-module-pdfexport (0.10.2+dfsg1-4) unstable; urgency=medium

  * Adding Swedish debconf translations from Martin Bagge (Closes: #1059126).
  * Adding French debconf translations from Jean-Pierre Giraud
    (Closes: #1060640).
  * Updating German debconf translation from Hermann-Josef Beckers
    (Closes: #1066912).
  * Renaming d/po/ge.po to d/po/de.po to correct language code.
  * Correcting debconf question (Closes: #1052268).
  * Unfuzzy d/po/*.po files because the change is small.
  * Updating Spanish debconf translation from Camaleón.
  * Removing unnecessary line 'X-Generator' in d/po/{de,es,fr,nl}.po files.
  * Updating copyright for 2024.
  * Correcting misspelling in changelog for 0.10.2+dfsg1-3.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 27 Mar 2024 09:47:45 +0100

icingaweb2-module-pdfexport (0.10.2+dfsg1-3) unstable; urgency=medium

  * Configure debconf.
  * Adding upstream metadata.
  * Updating copyright for debian directory.
  * Updating Standards-Version to 4.6.2.
  * Remove duplicate Section in control.
  * Adding Rules-Requires-Root to control.
  * Standardization of the rules for icingaweb2 modules.
  * Standardization of the control for icingaweb2 modules.
  * Updating docs.
  * Adding Spanish debconf translations from Camaleón.
  * Adding Dutch debconf translations from Francs Spiesschaert.
  * Adding German debconf translations from Christoph Brinkhaus.
  * Updating rules to remove LICENSE.txt files.
  * Adding pkg-php-tools to build dependencies.

 -- David Kunz <david.kunz@dknet.ch>  Sat, 26 Aug 2023 11:26:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

MODULE := pdfexport
DEBDIR := debian/icingaweb2-module-$(MODULE)

%:
	dh ${@} --with phpcomposer

override_dh_auto_install:
	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)
	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -and -not -name ".pc" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;

	# remove useless file
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name \.gitignore -exec rm -f {} \;

	# move config file
	mkdir -p $(DEBDIR)/etc/icingaweb2/modules/$(MODULE)
	cp debian/local/config.ini $(DEBDIR)/etc/icingaweb2/modules/$(MODULE)

	# symlink tcpdf to debian package
	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/vendor/tecnickcom
	ln -s /usr/share/php/tcpdf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/vendor/tecnickcom/tcpdf

execute_after_dh_installdocs:
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name AUTHORS -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name COPYING -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE.txt -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name README -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name "*.md" -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -type d -empty -delete
	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/doc

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/icingaweb2-module-pdfexport-$1\.tar\.gz/, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
  https://github.com/icinga/icingaweb2-module-pdfexport/tags .*/v?(\d\S+)\.tar\.gz

## icingaweb2-module-pdfexport 0.12.0%2Bdfsg

=== debian/changelog ===
icingaweb2-module-pdfexport (0.12.0+dfsg-2) unstable; urgency=medium

  * Updating d/links.
  * Updating copyright for d/.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 20 Jan 2026 13:44:21 +0100

icingaweb2-module-pdfexport (0.12.0+dfsg-1) unstable; urgency=medium

  * Merging upstream version 0.12.0+dfsg.
  * Updating d/copyrights.
  * Adding Catalan debconf translations from Carles Pina i Estany
    (Closes: #1118979).
  * Adding Salsa Continuous Integration.
  * Updating Standards-Version to 4.7.2.
  * Updating d/rules.
  * Adding d/icingaweb2-module-pdfexport.link.
  * Updating d/copyrights.
  * Remove unused Rules-Requires-Root in d/control.
  * Updating d/watch to Version 5.
  * Renaming files in d/.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 02 Dec 2025 07:54:34 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: icinga
Project: @PACKAGE@
Dversion-Mangle: auto

## icingaweb2-module-pdfexport 0.12.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+ pkg-php-tools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/Icinga/icingaweb2-module-pdfexport
 Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport
 Vcs-Git: https://salsa.debian.org/david.kunz/icingaweb2-module-pdfexport.git
 
 Package: icingaweb2-module-pdfexport
-Section: admin
 Architecture: all
 Depends:
+ icinga-php-library,
+ icinga-php-thirdparty,
  icingaweb2,
- icinga-php-thirdparty,
- icinga-php-library,
  php-cgi,
  php-tcpdf,
  ${misc:Depends},
